
#include "checker.h"
#include "system.h"
#include "enums.h"

#include <iostream>
#include <fstream>
using namespace std;

Checker* Checker::Move(int toX, int toY) {
	x = toX;
	y = toY;
	return this;
}

void Checker::Draw(ostream& out) {
	out << getIndex();
}

Checker::Checker(const Checker* checker, Board* ponBoard) {
	picture = checker->picture;
	x = checker->x;
	y = checker->y;
	owner = checker->owner;
	onBoard = ponBoard;
	simulation = true;
}