
#ifndef PLAYER_H
#define PLAYER_H

class Checker;

//using namespace std;

enum PlayerType { NO_PLAYER, MAX_PLAYER, MIN_PLAYER };
PlayerType operator!(const PlayerType& type);

class Player {
private:
	int score;
	bool computer;
	bool thinking;
	PlayerType type;
public:
	//bool Move(Checker* checker, Direction dir);
	bool isComputer() const { return computer; }
	bool isThinking() const { return thinking; }
	void toggleThinking() { thinking = !thinking; }
	PlayerType getType() const { return type; }

	void Init(bool pcomputer, PlayerType ptype) { computer = pcomputer; type = ptype; }

	Player() : score(0), computer(true), thinking(false) {}
	bool operator==(const PlayerType& ptype);
	bool operator==(const Player& p2);
};

#endif
