
#ifndef CHECKER_H
#define CHECKER_H

#include <iostream>
#include "enums.h"
using namespace std;

//#include "sdl.h"

#include "player.h"

//class Player;
class Board;

class Checker {
private:
	char picture;
	int x, y;
	const Player* owner;
	bool simulation;
	Board* onBoard;	//What board this checker is on

public:
	Checker(char ppicture, int px, int py, const Player* powner) :
	  picture(ppicture), x(px), y(py), owner(powner), simulation(false), onBoard(0) {}

	Checker(const Checker* checker, Board* ponBoard);

	Checker* Move(int toX, int toY);

	void Draw(ostream& out);
	char getIndex() const				{ return picture; }
	char getPicture() const				{ return picture; }
	const Player* getOwner() const		{ return owner; }
	const Board* getBoard() const		{ return onBoard; }

	int getX() const { return x; }
	int getY() const { return y; }
	bool isSimulation() const { return simulation; }
};

#endif